USAGE INSTRUCTIONS
==================

**1. Apply [`cloud_orchestrator.yml`](amd64/cloud_orchestrator.yml)**
**to your K8s cluster**

Note that [default usernames and passwords](amd64/cloud_orchestrator.yml#L18-24) will be set.

```
$ kubectl apply -f https://git.drupalcode.org/project/cloud/-/raw/5.x/deployments/kubernetes/amd64/cloud_orchestrator.yml
```

If your K8s cluster consists ARM64-based nodes, use
[`arm64/cloud_orchestrator.yml`](arm64/cloud_orchestrator.yml) instead.

```
$ kubectl apply -f https://git.drupalcode.org/project/cloud/-/raw/5.x/deployments/kubernetes/arm64/cloud_orchestrator.yml
```

If you want to set your usernames and passwords, follow these commands instead.

```
$ curl -LO https://git.drupalcode.org/project/cloud/-/raw/5.x/deployments/kubernetes/amd64/cloud_orchestrator.yml
$ vi cloud_orchestrator.yml  # Update line 18- 24
$ kubectl apply -f cloud_orchestrator.yml
```


**2. (Optional) Add a load balancer to access Cloud Orchestrator from your**
**browser**

If you are using EKS, you can add a load balancer to access Cloud Orchestrator
from your browser as follows. Initially, this load balancer accepts all inbound
traffic. To restrict access to Cloud Orchestrator, change the security group
associated with that load balancer.

```
$ kubectl expose service cloud-orchestrator  \
    --namespace=cloud-orchestrator  \
    --type=LoadBalancer  \
    --name=cloud-orchestrator-lb
```


**3. Remove Cloud Orchestrator from your K8s cluster**

```
$ kubectl delete -f https://git.drupalcode.org/project/cloud/-/raw/5.x/deployments/kubernetes/amd64/cloud_orchestrator.yml
```

`*/cloud_orchestrator.yml` installs Cloud Orchestrator and stores MariaDB
database on a filesystem of one of the K8s nodes via PersistentVolumes of the
type hostPath. When these PersistentVolumes are deleted, files stored in the
node's filesystem are NOT deleted. If you want to delete them, log in to the
node and execute the following command:

* Cloud Orchestrator
  - `rm -r /var/www/cloud_orchestrator`
* MariaDB
  - `rm -r /var/cloud_orchestrator/mysql`
