import Form from 'bootstrap3-components/Form';

/**
 * Block of key-value input view.
 *
 * @param 
 */
const BooleanInputBlock = ({ label, value, setValue, required, readOnly }: {
  label: string,
  value: boolean,
  setValue: (v: boolean) => void,
  required: boolean,
  readOnly: boolean,
}) => {
  return <Form.Group className="checkbox">
    <Form.Label className={required ? 'form-required' : ''}>
      <input className="form-checkbox" type="checkbox" checked={value} onChange={() => {
        setValue(!value);
      }} readOnly={readOnly} />
      {label}
    </Form.Label>
  </Form.Group>;
}

export default BooleanInputBlock;
