import Form from 'bootstrap3-components/Form';
import EntityData from 'model/EntityData';
import { calcPanelName } from 'service/utility';

const EntityFormLabel = ({ label, entityName, entityData }: {
  label: string,
  entityName: string,
  entityData?: EntityData
}) => {
  console.log({ label, entityName, entityData });
  let outputLabel = label;
  while (true) {
    const result = outputLabel.match(/{{.+?}}/);
    if (result === null) {
      break;
    }
    if (result.length >= 1) {
      const key = result[0].replace('{{', '').replace('}}', '');
      const data = entityData !== undefined && key in entityData.attributes
        ? `${entityData.attributes[key]}`
        : key === 'entityName'
          ? calcPanelName('', entityName).replace(' ', '')
          :'';
      outputLabel = outputLabel.replace(result[0], `${data}`);
    }
  }

  return <Form.Group>
    <Form.Label>{outputLabel}</Form.Label>
  </Form.Group>;
}

export default EntityFormLabel;
