import Form from 'bootstrap3-components/Form';

/**
 * Block of key-value input view.
 *
 * @param 
 */
const StringInputBlock = ({ label, value, setValue, required, readOnly }: {
  label: string,
  value: string,
  setValue: (s: string) => void,
  required: boolean,
  readOnly: boolean,
}) => {

  return <Form.Group>
    <Form.Label className={required ? 'form-required' : ''}>{label}</Form.Label>
    <input className="form-text form-control" type="text" value={value} onChange={(e) => {
      setValue(e.currentTarget.value);
    }} readOnly={readOnly} />
  </Form.Group>;

}

export default StringInputBlock;
