import Form from 'bootstrap3-components/Form';
import TimeSelect from 'molecules/TimeSelect';

/**
 * Block of select view.
 *
 * @param 
 */
const TimeSelectBlock = ({ label, hour, setHour, minute, setMinute, required, readOnly }: {
  label: string,
  hour: string,
  setHour: (s: string) => void,
  minute: string,
  setMinute: (s: string) => void,
  required: boolean,
  readOnly: boolean,
}) => {

  return <>
    <Form.Group>
      <Form.Label className={required ? 'form-required' : ''}>{label}</Form.Label>
    </Form.Group>
    <Form.Group style={{ display: 'flex' }}>
      <TimeSelect time={hour} setTime={setHour} size={24} readOnly={readOnly} />
      <Form.Label style={{ marginTop: '0.5rem' }}>:</Form.Label>
      <TimeSelect time={minute} setTime={setMinute} size={60} readOnly={readOnly} />
    </Form.Group>
  </>;

}

export default TimeSelectBlock;
