import Col from 'bootstrap3-components/Col';
import FluidContainer from 'bootstrap3-components/FluidContainer';
import Row from 'bootstrap3-components/Row';
import CloudServiceProvider from 'model/CloudServiceProvider';
import LaunchTemplateTable from 'organisms/LaunchTemplateTable';
import MenuBar from 'organisms/MenuBar';
import { useParams } from 'react-router-dom';

const CloudServerTemplatePage = () => {
  const params: {
    cloudServiceProvider: string,
    cloudContext?: string,
  } = useParams();

  return <>
  <MenuBar cloudServiceProvider={params.cloudServiceProvider} cloudContext={params.cloudContext} />
  <FluidContainer className="px-0">
    <Row className="mx-0">
      <Col>
        <LaunchTemplateTable cloudContext={{
          cloudServiceProvider: params.cloudServiceProvider as CloudServiceProvider,
          name: params.cloudContext === undefined ? 'ALL' : params.cloudContext,
          labelName: ''
        }} />
      </Col>
    </Row>
  </FluidContainer>
  </>;
}

export default CloudServerTemplatePage;
