import Col from 'bootstrap3-components/Col';
import FluidContainer from 'bootstrap3-components/FluidContainer';
import Form from 'bootstrap3-components/Form';
import Row from 'bootstrap3-components/Row';
import MenuBar from 'organisms/MenuBar';
import Loader from 'react-loader-spinner';
import { useParams } from 'react-router-dom';

/**
 * LoadingDataPage.
 */
const LoadingDataPage = () => {
  const params: {
    cloudServiceProvider: string,
    cloudContext?: string,
    entityName: string
  } = useParams();

  return <>
    <MenuBar cloudServiceProvider={params.cloudServiceProvider} cloudContext={params.cloudContext} />
    <FluidContainer className="px-0">
      <Row className="mx-0">
        <Col>
          <Form>
            <div style={{ display: 'flex' }}>
              <Loader
                type="Grid"
                color="#00BFFF"
                height="3rem"
                width="3rem"
              />
              <span style={{
                fontSize: '2rem',
                marginLeft: '2rem'
              }}>Loading...</span>
            </div>
          </Form>
        </Col>
      </Row>
    </FluidContainer>
  </>;

}

export default LoadingDataPage;
