Feature: Create a namespace for K8s as "Authenticated User"

  @api @javascript
  Scenario: Create a namespace
    Given I am logged in as user "{{ user_name }}"
    When I visit "/clouds/k8s/{{ cloud_context }}/namespace/add"
    And I should see the heading "Add Namespace"
    And I enter "{{ namespace }}" for "Name"
    And I press "Save"
    And I wait for AJAX to finish
    Then the url should match "/clouds/k8s/{{ cloud_context }}/namespace"
    And I should see the success message "{{ namespace }} has been created"
    And I should see the link "{{ namespace }}"
    And I should see the link "{{ namespace }}" in the table

  @api
  Scenario: Update the role
    Given I am logged in as a user with the "Administrator" role
    When I visit "admin/people/permissions/{{ role_name_machine }}"
    And I check the box "Access entities belonging to k8s namespace {{ namespace }}"
    And I press "Save permissions"
    And I should see "The changes have been saved."
