Feature: Create resources for K8s as "Authenticated User"
  As a user
  I need to create and delete a pod

  @api @javascript
  Scenario: Create a pod
    Given I am logged in as user "{{ user_name }}"
    When I visit "/clouds/k8s/{{ cloud_context }}/pod/add"
    And I should see the heading "Add Pod"
    And I select "{{ namespace }}" from "Namespace"
    And I fill in "Detail" with:
    """
    apiVersion: v1
    kind: Pod
    metadata:
      name: {{ pod_name }}
    spec:
      containers:
      - name: {{ container_name }}
        image: {{ image_version }}
        ports:
        - containerPort: {{ port }}
    """
    And I press "Save"
    And I wait for AJAX to finish
    Then the url should match "/clouds/k8s/{{ cloud_context }}/pod"
    And I should see "has been created"
    And I should see "{{ pod_name }}" in the "{{ namespace }}" row

  @api @javascript
  Scenario: Delete a pod
    Given I am logged in as user "{{ user_name }}"
    When I visit "/clouds/k8s/{{ cloud_context }}/pod"
    And I click "Refresh"
    And I wait {{ wait }} milliseconds
    And I should see the link "{{ pod_name }}"
    And I click "{{ pod_name }}"
    And the url should match "/k8s/{{ cloud_context }}/pod/"
    And I click "Delete" in the "actions"
    And the url should match "/delete"
    And I press "Delete"
    And I wait for AJAX to finish
    Then I should be on "/clouds/k8s/{{ cloud_context }}/pod"
    And I should see "has been deleted"
    And I click "Refresh"
    And I should not see the link "{{ pod_name }}"
