Feature: Create resources for K8s as "Authenticated User"
  As a user
  I need to create and delete a deployment

  @api @javascript
  Scenario: Create a deployment
    Given I am logged in as user "{{ user_name }}"
    When I visit "/clouds/k8s/{{ cloud_context }}/deployment/add"
    And I select "{{ namespace }}" from "Namespace"
    And I fill in "Detail" with:
    """
    apiVersion: apps/v1
    kind: Deployment
    metadata:
      name: {{ deployment_name }}
      labels:
        app: {{ app_name }}
    spec:
      replicas: {{ replica_count }}
      selector:
        matchLabels:
          app: {{ app_name }}
      template:
        metadata:
          labels:
            app: {{ app_name }}
        spec:
          containers:
          - name: {{ container_name }}
            image: {{ image_version }}
            ports:
            - containerPort: {{ port }}
    """
    And I press "Save"
    And I wait for AJAX to finish
    Then I should be on "/clouds/k8s/{{ cloud_context }}/deployment"
    And I should see "has been created"
    And I should see "{{ namespace }}" in the "{{ deployment_name }}" row

  @api @javascript
  Scenario: Delete a deployment
    Given I am logged in as user "{{ user_name }}"
    When I visit "/clouds/k8s/{{ cloud_context }}/deployment"
    And I click "Refresh"
    And I should see the link "{{ deployment_name }}"
    And I wait {{ wait }} milliseconds
    And I click "{{ deployment_name }}"
    And the url should match "/{{ cloud_context }}/deployment/"
    And I click "Delete" in the "actions"
    And the url should match "/delete"
    And I press "Delete"
    And I wait for AJAX to finish
    Then I should be on "/clouds/k8s/{{ cloud_context }}/deployment"
    And I should see "has been deleted"
    And I click "Refresh"
    And I should not see the link "{{ deployment_name }}"
