<?php

namespace Drupal\openstack\Service\Ec2;

use Drupal\aws_cloud\Entity\Ec2\ImageInterface;
use Drupal\Core\Entity\EntityInterface;

/**
 * The Interface for K8sOperationsService.
 */
interface OpenStackOperationsServiceInterface {

  /**
   * Set the EC2 Service.
   *
   * @param \Drupal\aws_cloud\Service\Ec2\Ec2ServiceInterface|\Drupal\openstack\Service\OpenStackServiceInterface $ec2_service
   *   The EC2 Service.
   */
  public function setEc2Service(mixed $ec2_service): void;

  /**
   * Set the EC2 Service.
   *
   * @param \Drupal\Core\Entity\EntityInterface $entity
   *   The entity.
   */
  public function setEntity(EntityInterface $entity): void;

  /**
   * Create AWS OpenStack image.
   *
   * @param \Drupal\aws_cloud\Entity\Ec2\ImageInterface $entity
   *   The OpenStack image entity.
   * @param array $params
   *   Optional parameters array.
   *
   * @return bool
   *   TRUE when the process succeeds.
   */
  public function createImage(ImageInterface $entity, array $params): bool;

  /**
   * Edit AWS OpenStack image.
   *
   * @param \Drupal\aws_cloud\Entity\Ec2\ImageInterface $entity
   *   The OpenStack image entity.
   * @param array $params
   *   Optional parameters array.
   */
  public function editImage(ImageInterface $entity, array $params): bool;

}
